/**
* services Modul
*
* Description
*/
angular.module('services', [])
.factory('infoService',function ($http,$q,$sce){
	return{
		homePoints : function () {
			var deferred=$q.defer();
			$http.get('assets/json/homepoints.json')
			.success(function (data){
				deferred.resolve(data);
			})
			.error(function (err){
				deferred.reject(err);
			})
			return deferred.promise;
		},
		carousel: function () {
			var deferred=$q.defer();
			$http.get('assets/json/carousel.json')
			.success(function (data){
				deferred.resolve(data);
			})
			.error(function (err){
				deferred.reject(err);
			})
			return deferred.promise;
		},
		business: function () {
			var deferred=$q.defer();
			$http.get('assets/json/business.json')
			.success(function (data){
				
				deferred.resolve(data);
			})
			.error(function (err){
				deferred.reject(err);
			})
			return deferred.promise;
		},
			wd_intermediate: function () {
			var deferred=$q.defer();
			$http.get('assets/json/WD_intermediate.json')
			.success(function (data){
				
				deferred.resolve(data);
			})
			.error(function (err){
				deferred.reject(err);
			})
			return deferred.promise;
		},
			wd_advanced: function () {
			var deferred=$q.defer();
			$http.get('assets/json/WD_advanced.json')
			.success(function (data){
				
				deferred.resolve(data);
			})
			.error(function (err){
				deferred.reject(err);
			})
			return deferred.promise;
		},

			sgComClients: function () {
			var deferred=$q.defer();
			$http.get('assets/json/sgComClients.json')
			.success(function (data){
				
				deferred.resolve(data);
			})
			.error(function (err){
				deferred.reject(err);
			})
			return deferred.promise;
		},

			sgEduClients: function () {
			var deferred=$q.defer();
			$http.get('assets/json/sgEduClients.json')
			.success(function (data){
				
				deferred.resolve(data);
			})
			.error(function (err){
				deferred.reject(err);
			})
			return deferred.promise;
		},

			myComClients: function () {
			var deferred=$q.defer();
			$http.get('assets/json/myComClients.json')
			.success(function (data){
				
				deferred.resolve(data);
			})
			.error(function (err){
				deferred.reject(err);
			})
			return deferred.promise;
		},

			myEduClients: function () {
			var deferred=$q.defer();
			$http.get('assets/json/myEduClients.json')
			.success(function (data){
				
				deferred.resolve(data);
			})
			.error(function (err){
				deferred.reject(err);
			})
			return deferred.promise;
		},

			infocommCourses: function () {
			var deferred=$q.defer();
			$http.get('assets/json/courses.json')
			.success(function (data){
				
				deferred.resolve(data);
			})
			.error(function (err){
				deferred.reject(err);
			})
			return deferred.promise;
		}

	}

});